#include <cstdio>

#define TASK "suffixgame"

int main() {
    freopen(TASK ".in", "r", stdin);
    freopen(TASK ".out", "w", stdout);

    int n;
    scanf("%d", &n);
    long long ans = 0;
    int last = -1;

    for (int i = 0; i < n; i++) {
        int x;
        scanf("%d", &x);

        if (i > 0) ans += x - last - 1;
        else ans += x - 1;

        last = x;
    }

    printf("%s\n", ans % 2 ? "First" : "Second");

    return 0;
}
